- Main Page
- Classes
- Files

- Class List
- Class Members

# fan_t Struct Reference

fan data More...

`#include <libacpi.h>`

List of all members.

## Public Attributes
char | name [MAX_NAME]
char | state_file [MAX_NAME]
fan_state_t | fan_state

## Detailed Description

fan data

Definition at line 106 of file libacpi.h.

## Member Data Documentation

char fan_t::name[MAX_NAME]

name of the fan found in proc vfs

Definition at line 107 of file libacpi.h.

Referenced by init_acpi_fan().

char fan_t::state_file[MAX_NAME]

state file for the fan

Definition at line 108 of file libacpi.h.

Referenced by init_acpi_fan(), and read_acpi_fan().

fan_state_t fan_t::fan_state

current status of the found fan

Definition at line 109 of file libacpi.h.

Referenced by read_acpi_fan().

The documentation for this struct was generated from the following file:

- libacpi.h